import request from '@/utils/request'

// 获取转单列表
export function getDetail(params) {
  return request({
    url: '/orders/order_detail',
    method: 'get',
    params
  })
}

// 添加订单备注
export function addRemark(params) {
  return request({
    url: '/orders/add_order_log',
    method: 'get',
    params
  })
}

// 添加商品备注
export function addGoodRemark(params) {
  return request({
    url: '/orders/add_order_detail_log',
    method: 'get',
    params
  })
}

// 退回
export function orderAdopt(data) {
  return request({
    url: '/orders/audit_order',
    method: 'post',
    data
  })
}

// 收款记录
export function receiveList(params) {
  return request({
    url: '/orders/get_collect_money_log',
    method: 'get',
    params
  })
}

// 获取账户余额
export function accountBalance(params) {
  return request({
    url: '/orders/get_user_money',
    method: 'get',
    params
  })
}

// 添加收款
export function addRecharge(data) {
  return request({
    url: '/orders/add_income_log',
    method: 'post',
    data
  })
}

// 部分退款
export function backRechargeMoney(data) {
  return request({
    url: '/orders/part_back_money',
    method: 'post',
    data
  })
}

// 作废
export function toDelete(params) {
  return request({
    url: '/orders/destory_order?order_num',
    method: 'get',
    params
  })
}

// 发货
export function orderSpend(data) {
  return request({
    url: '/orders/send_order',
    method: 'post',
    data
  })
}

// 修改订单地址
export function editOrderAddress(params) {
  return request({
    url: '/orders/order_address',
    method: 'get',
    params
  })
}

